<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_download_main_top.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	global $siteConfig,$dblink;
	
	echo "<table width='100%' border='0' cellspacing='1' cellpadding='0' class='std_nicetable'>\n";
	echo "<thead>\n";
	echo "<tr><td width='80%'>"._FILE_."</td><td width='10%' align='center'>"._DOWNLOADED_."</td><td width='10%' align='center'>"._DATE_."</td></tr>";
	echo "</thead>\n";
	echo "<tbody>\n";
	
	$n = 0;
	$dw_result = $dblink->get_list("SELECT id,nome,autore,scaricato,DATE_FORMAT(data, '".$siteConfig['timestamp']."') as data FROM memht_download WHERE enabled=1 ORDER BY scaricato DESC LIMIT 10");
	foreach ($dw_result as $row_dw) {
		$did = intval($row_dw['id']);
		$dnome = outCode($row_dw['nome']);
		$ddata = $row_dw['data'];
		$dscaricato = intval($row_dw['scaricato']);
		
		$class = (($n++%2)!=0) ? "std_hlight" : "std_clean" ;
						
		echo "<tr><td class='$class' style='font-size:90%;'><a href='index.php?page=download&op=getFile&id=$did&title=".mem_urlencode($dnome)."' title='$dnome'><b>$dnome</b></a></td><td align='center' class='$class' style='font-size:90%;'>$dscaricato</td><td align='center' class='$class' style='font-size:90%;' nowrap>$ddata</td></tr>\n";				
	}
	echo "</tbody>\n";
	echo "</table>\n";
	
?>